Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.domains.checkAvailability(
'yourcompany'
);curl --request GET \
--url https://api.migma.ai/v1/domains/managed/check/{prefix} \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/domains/managed/check/{prefix}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"data": {
"available": true,
"prefix": "<string>",
"fullDomain": "<string>",
"reason": "<string>"
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Check Subdomain Availability
Check if a managed subdomain prefix is available on migma.email. Requires API key with domain:read.
GET
/
v1
/
domains
/
managed
/
check
/
{prefix}
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.domains.checkAvailability(
'yourcompany'
);Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Subdomain prefix to check (e.g., 'acme' for acme.migma.email)
Required string length:
3 - 63Was this page helpful?
⌘I